package sharin.doc.builder.xhtml1;

public class AElem extends GenericCommonElem<AElem> {

    public AElem(Object... nodes) {
        super("a", nodes);
    }

    public AElem accesskey(Object value) {
        return attr("accesskey", value);
    }

    public AElem charset(Object value) {
        return attr("charset", value);
    }

    public AElem coords(Object value) {
        return attr("coords", value);
    }

    public AElem href(Object value) {
        return attr("href", value);
    }

    public AElem hreflang(Object value) {
        return attr("hreflang", value);
    }

    public AElem name(Object value) {
        return attr("name", value);
    }

    public AElem onblur(Object value) {
        return attr("onblur", value);
    }

    public AElem onfocus(Object value) {
        return attr("onfocus", value);
    }

    public AElem rel(Object value) {
        return attr("rel", value);
    }

    public AElem rev(Object value) {
        return attr("rev", value);
    }

    public AElem shape(Object value) {
        return attr("shape", value);
    }

    public AElem shapeCircle() {
        return shape("circle");
    }

    public AElem shapeDefault() {
        return shape("default");
    }

    public AElem shapePoly() {
        return shape("poly");
    }

    public AElem shapeRect() {
        return shape("rect");
    }

    public AElem tabindex(Object value) {
        return attr("tabindex", value);
    }

    public AElem target(Object value) {
        return attr("target", value);
    }

    public AElem type(Object value) {
        return attr("type", value);
    }
}
